> ## Documentation Index
> Fetch the complete documentation index at: https://anaconda.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Windows shell installer

> [accordion] Using Anaconda Distribution in a commercial setting?
>
> * You might need to purchase a license to stay compliant with our [Terms of Service](https://www.anaconda.com/legal).
>
> * If your company security policies do not allow admin privileges for end users, your IT admin can deploy Anaconda Distribution using [silent mode installation](https://anaconda.com/docs/getting-started/advanced-install/silent-mode.md) through an endpoint management tool (such as Microsoft Intune, SCCM, or Group Policy).

This page provides instructions for installing Anaconda Distribution on Windows with the command line in Command Prompt or PowerShell.

## Installation steps

1. Download the latest installer by using your preferred command-line interface:

   > [tab] Command Prompt
   >
   > Open a Command Prompt window and run the following command:
   >
   > ```sh theme={null}
   > curl https://repo.anaconda.com/archive/Anaconda3-2026.07-1-Windows-x86_64.exe --output .\Anaconda3-2026.07-1-Windows-x86_64.exe
   > ```

   > [tab] PowerShell
   >
   > > [!NOTE]
   > >
   > > These commands work best with default PowerShell.
   >
   > Open a PowerShell window and run the following command:
   >
   > ```powershell theme={null}
   > Invoke-WebRequest -Uri "https://repo.anaconda.com/archive/Anaconda3-2026.07-1-Windows-x86_64.exe" -OutFile ".\Anaconda3-2026.07-1-Windows-x86_64.exe"
   > ```

   > [!NOTE]
   >
   > For instructions on downloading an older installer version, see [Using older installer versions](https://anaconda.com/docs/getting-started/advanced-install/old-os.md).

2. (Optional) Anaconda recommends verifying the integrity of the installer after downloading it.

   > [accordion] How do I verify my installer's integrity?
   >
   > To ensure that your downloaded installer has not been tampered with or corrupted, generate its SHA-256 hash value and compare that hash to the official hash provided in the archive.
   >
   > 1. Open your preferred command-line interface and run the following command:
   >
   >    ```Command Command Prompt theme={null}
   >    certutil -hashfile <PATH_TO_INSTALLER_FILE> SHA256
   >    ```
   >
   >    ```Command Command Prompt Example theme={null}
   >    certutil -hashfile C:\Users\annieconda\Anaconda3-2026.07-1-Windows-x86_64.exe SHA256
   >    ```
   >
   >    ```PowerShell PowerShell theme={null}
   >    Get-FileHash <PATH_TO_INSTALLER_FILE> -Algorithm SHA256
   >    ```
   >
   >    ```PowerShell PowerShell Example theme={null}
   >    Get-FileHash C:\Users\annieconda\Anaconda3-2026.07-1-Windows-x86_64.exe -Algorithm SHA256
   >    ```
   >
   >    Comments
   >
   >    Replace \<PATH\_TO\_INSTALLER\_FILE> with the file path to the downloaded installer file.
   >
   >    > [!TIP]
   >    >
   >    > Right-click the installer file in your file explorer and select **Copy as path** to get its full file path.
   >
   > 2. Note the generated SHA-256 hash value from the output.
   >
   > 3. Visit [repo.anaconda.com/archive](https://repo.anaconda.com/archive/) to find the official SHA-256 hash for your installer.
   >
   > 4. Compare the hash values. If they match, the installer is safe to use.
   >
   > > [!TIP]
   > >
   > > For more information, see [cryptographic hash verification](https://docs.conda.io/projects/conda/en/latest/user-guide/install/index.html#cryptographic-hash-verification) in the official conda documentation.

3. Go to your Home folder and double-click the installer to launch.

   > [!WARNING]
   >
   > To prevent permission errors, do not launch the installer from the [Favorites folder](#windows-permission-errors-when-installing-from-favorites-folder).

   > [!NOTE]
   >
   > If you encounter issues during installation, temporarily disable your anti-virus software during install, then re-enable it after the installation concludes. If you installed for **All Users**, [uninstall](https://anaconda.com/docs/getting-started/anaconda/uninstall.md) Anaconda Distribution and re-install it for **Just Me** only.

4. Select **Next** and then **I Agree** to agree to Anaconda's Terms of Service (TOS). You can read the full TOS at [https://anaconda.com/legal](https://anaconda.com/legal).

5. Select an installation option:

   <dl>
     <dt>Just Me (Recommended)</dt>

     <dd>Install Anaconda Distribution for the current user account.</dd>

     <dt>All Users</dt>

     <dd>Install Anaconda Distribution for all user accounts on the computer (requires Windows Administrator privileges).</dd>
   </dl>

6. Select **Next**.

7. Select a destination folder to install Anaconda, then select **Next**.

   > [!WARNING]
   >
   > Anaconda recommends installing Anaconda Distribution in a directory with no spaces or special characters to avoid potential compatibility issues with open-source tools. For more information, see the [FAQ](https://anaconda.com/docs/getting-started/reference/faq.md#in-what-folder-should-i-install-on-windows).
   >
   > ***
   >
   > Do not install as Administrator unless admin privileges are required.

8. Customize your installation options:

   <dl>
     <dt>Create shortcuts</dt>

     <dd>Selected by default. Creates Start Menu shortcuts for the Anaconda Navigator, Spyder, Jupyter Notebook, and Anaconda Prompt packages. Deselecting this option skips creating these shortcuts.</dd>

     <dt>Add Anaconda3 to my PATH environment variable</dt>

     <dd>
       Adds the path that contains the conda binaries to your PATH environment variable.

       > [!WARNING]
       >
       > Unless you plan on installing and running multiple versions of Anaconda Distribution or Python, Anaconda **does not** recommend selecting this option. The conda binaries path contains other package binaries, which are permanently added to your PATH environment variable, even if no conda environment is currently active. This makes it possible for other software to use these package files, which might lead to errors.

       > [!WARNING]
       >
       > As of `Anaconda Distribution 2022.05`, the option to add Anaconda Distribution to the PATH environment variable during an **All Users** installation has been disabled. This was done to address [a security exploit](https://nvd.nist.gov/vuln/detail/CVE-2022-26526). You can still add Anaconda Distribution to the PATH environment variable during a **Just Me** installation.
     </dd>

     <dt>Register Anaconda3 as my default Python 3.12</dt>

     <dd>Selected by default. Registers the Python package in this install as the default Python for programs like VSCode, PyCharm, and so on.</dd>

     <dt>Clear the package cache upon completion</dt>

     <dd>Runs `conda clean --all --force-pkgs-dirs` after the install finishes. For more information on these commands, see the [conda command documentation](https://docs.conda.io/projects/conda/en/stable/commands/clean.html).</dd>
   </dl>

9. Select **Install**. The installation might take a few minutes to complete. Select **Show details** to view the packages being installed.

10. Select **Next** twice, then select **Finish** to close the installer.

## Verify your install

You can verify your installation was successful using Anaconda Navigator or Anaconda Prompt (A command-line application included with Windows installations of Anaconda Distribution and Miniconda. Find it by searching 'Anaconda Prompt' in the Windows Start menu.).

> [tab] Anaconda Navigator
>
> [Anaconda Navigator](https://anaconda.com/docs/legacy/anaconda-navigator/main.md) opens automatically when installation completes successfully.
>
> If you need to manually open Anaconda Navigator, type "Anaconda Navigator" in the Windows search bar, then select the application.
>
> ![Windows desktop with Anaconda Navigator in the taskbar search field.](https://mintcdn.com/anaconda-29683c67/r-i16GgDcvoHQ-Uq/images/getting-started/anaconda-navigator-search-windows.png?fit=max\&auto=format\&n=r-i16GgDcvoHQ-Uq\&q=85\&s=bf1824042185883d009514b7956b0e00)

> [tab] Anaconda Prompt
>
> Anaconda Prompt (A command-line application included with Windows installations of Anaconda Distribution and Miniconda. Find it by searching 'Anaconda Prompt' in the Windows Start menu.) is a command-line shell application that is included with conda installations for Windows.
>
> To open Anaconda Prompt, type "Anaconda Prompt" in the Windows search bar, then select the application.
>
> ![Windows desktop with Anaconda Prompt in the taskbar search field.](https://mintcdn.com/anaconda-29683c67/r-i16GgDcvoHQ-Uq/images/getting-started/anaconda_prompt.png?fit=max\&auto=format\&n=r-i16GgDcvoHQ-Uq\&q=85\&s=a5adced30d17c0a7d98f1b3d07d4423c)
>
> Your Anaconda Prompt (A command-line application included with Windows installations of Anaconda Distribution and Miniconda. Find it by searching 'Anaconda Prompt' in the Windows Start menu.) window will display something like the following, with your base environment activated by default:
>
> ```sh theme={null}
> (base) C:\Users\myusername>
> ```

## Choose how you want to work with conda

Anaconda Navigator provides a graphical user interface (GUI) to interface with conda (An open-source package and environment manager that installs, updates, and removes packages with their dependencies in isolated environments, allowing multiple versions of the same software without conflicts.), without using the command line.

If you prefer working at the command line, you can interface with conda directly through Anaconda Prompt (A command-line application included with Windows installations of Anaconda Distribution and Miniconda. Find it by searching 'Anaconda Prompt' in the Windows Start menu.) (Windows) or your system's terminal (macOS and Linux) after you complete your installation.

> [!NOTE]
>
> Anaconda Navigator is not included with Miniconda. Follow the instructions on [Installing Navigator](https://anaconda.com/docs/legacy/anaconda-navigator/install.md) to manually install Navigator onto your computer.

> [card] [Get started with Navigator](https://anaconda.com/docs/legacy/anaconda-navigator/getting-started.md)
>
> Beginner
>
> Manage packages and environments with a desktop application

> [card] [Work with conda](https://anaconda.com/docs/getting-started/working-with-conda/main.md)
>
> Use command-line tools for package and environment management

## Advanced install options

For more advanced installation options, such as installing with silent mode, installing on older operating systems, or installing for multiple users, see [Advanced installation](https://anaconda.com/docs/getting-started/advanced-install/main.md).

## Troubleshooting

Troubleshoot

### Windows permission errors when installing from Favorites folder

***

<details>
  <summary>Cause</summary>

  The Windows Favorites folder has unusual permissions and might cause permission errors with installers of any software. If you try launching the installer from the Favorites folder, you might see errors such as "Setup was unable to create the directory", "Access is denied", or "Error opening file for writing".
</details>

***

<details>
  <summary>Solution</summary>

  Move the installer to a different folder and run the installer from the new folder.
</details>

Troubleshoot

### Cannot see Anaconda menu shortcuts after installation on Windows

***

<details>
  <summary>Cause</summary>

  After installing on Windows, the Anaconda Prompt (A command-line application included with Windows installations of Anaconda Distribution and Miniconda. Find it by searching 'Anaconda Prompt' in the Windows Start menu.) and Anaconda Navigator shortcuts do not appear in the Windows Start menu.\
  \\

  This might be caused by the way Windows updates the Start menu, or by having multiple versions of Python installed that are interfering with one another. Existing Python installations, installations of Python modules in global locations, or libraries that have the same names as Anaconda libraries can all prevent Anaconda from working properly.
</details>

***

<details>
  <summary>Solution</summary>

  If Start menu shortcuts are missing, Microsoft recommends rebooting your computer or [restarting Windows Explorer](https://answers.microsoft.com/en-us/windows/forum/windows8_1-performance/force-refresh-of-start-menu-start-screen-in/ee4e36d2-91d0-4f34-9eb8-b17ab096e83c?auth=1).\
  \\

  If that doesn't work, clear your `$PYTHONPATH` environment variable, if applicable, and re-install Anaconda.\
  \\

  Other potential solutions are covered in the "Conflicts with system state" section of the following [blog post](https://www.anaconda.com/blog/who-you-gonna-call-halloween-tips-treats-to-protect-you-from-ghosts-gremlins-and-software-vulnerabilities).
</details>

Troubleshoot

### Windows error: Failed to create Anaconda menus or Failed to add Anaconda to the system PATH

***

<details>
  <summary>Cause</summary>

  During installation on a Windows system, a dialog appears that says "Failed to create Anaconda menus, Abort Retry Ignore" or "Failed to add Anaconda to the system PATH". There are many possible Windows causes for this.
</details>

***

<details>
  <summary>Solution</summary>

  Try these solutions, in order:

  * Do not install on a PATH longer than 1024 characters.
  * Turn off anti-virus programs before installing, then turn the anti-virus programs back on.
  * Uninstall all previous Python installations.
  * Clear all PATHs related to Python in sysdm.cpl file.
  * Delete any previously set up Java PATHs.
  * If JDK is installed, uninstall it.

  > [!NOTE]
  >
  > To find your path variable:
  >
  > 1. Search for "environment variables" in the search in your taskbar.
  > 2. Click **Edit the System Environment Variables** in the sidebar.
  > 3. Click **Environment Variables** in the System Properties dialog.
  > 4. Highlight the **path** variable for your user.
  > 5. Click **Edit**.
</details>

Troubleshoot

### Anaconda interfering with other software on Windows

***

<details>
  <summary>Cause</summary>

  If a user chooses to add Anaconda to the Windows PATH, this can cause programs to use the new Anaconda versions of software (like Python) and not the versions that were already in place. In some cases, this can cause incompatibility and errors.
</details>

***

<details>
  <summary>Solution</summary>

  Anaconda does NOT recommend adding Anaconda to the Windows PATH manually. Instead, use Anaconda software by opening Anaconda Navigator or Anaconda Prompt (A command-line application included with Windows installations of Anaconda Distribution and Miniconda. Find it by searching 'Anaconda Prompt' in the Windows Start menu.) from the Start Menu.
</details>

Troubleshoot

### Trouble with activation on PowerShell on Windows

***

<details>
  <summary>Cause</summary>

  Some users might run into the following backtrace on Windows:

  ```sh theme={null}
  File "C:\Users\damia\Miniconda3\lib\site-packages\conda\activate.py", line 550, in _replace_prefix_in_path
  assert last_idx is not None
  AssertionError
  ```
</details>

***

<details>
  <summary>Solution</summary>

  1. Open a Command Prompt window.
  2. Navigate to where you installed conda. The following command shows the default:

     ```sh theme={null}
     cd C:\Users\<USERNAME>
     ```
  3. Run the following command:

     ```sh theme={null}
     python -m conda init
     ```
  4. Close the Command Prompt window.

     > [!NOTE]
     >
     > If the above method didn't work, try running:
     >
     > ```sh theme={null}
     > conda update conda
     > ```
</details>

Troubleshoot

### Recovering your Anaconda installation

***

<details>
  <summary>Cause</summary>

  If your Anaconda installation has become corrupted and is in a state where normal conda commands are not functioning, use the following steps to repair Anaconda and preserve your installed packages and environments.
</details>

***

<details>
  <summary>Solution</summary>

  1. Download a [new installer](https://repo.anaconda.com/archive/) for your operating system.

     > [tab] Windows
     >
     > 1. Open a terminal application, such as Command Prompt or PowerShell.
     > 2. If necessary, navigate to the parent directory of your Anaconda installation (by default, this is your user profile).
     > 3. Rename your existing installation directory so you do not overwrite it:
     >
     >    ```sh Command Prompt theme={null}
     >    move anaconda3 anaconda_old
     >    ```
     >
     >    ```powershell PowerShell theme={null}
     >    Move-Item anaconda3 anaconda_old
     >    ```
     > 4. Run the new Anaconda installer. When prompted for an install location, choose the same directory as your original installation.
     > 5. Copy your previous packages and environments to the new installation:
     >
     >    ```sh theme={null}
     >    robocopy anaconda_old anaconda3 /S
     >    ```
     > 6. Delete your old Anaconda installation directory:
     >
     >    ```sh Command Prompt theme={null}
     >    rd /s /q anaconda_old
     >    ```
     >
     >    ```powershell PowerShell theme={null}
     >    Remove-Item -Recurse -Force anaconda_old
     >    ```

     > [tab] macOS/Linux
     >
     > 1. Open a terminal application.
     > 2. If necessary, navigate to the parent directory of your Anaconda installation (by default, this is your home directory).
     > 3. Rename your existing installation directory so you do not overwrite it:
     >
     >    ```sh theme={null}
     >    mv anaconda3 anaconda_old
     >    ```
     > 4. Run the new Anaconda installer. When prompted for an install location, choose the same directory as your original installation:
     >
     >    ```sh macOS theme={null}
     >    bash ~/Downloads/Anaconda3-2026.07-1-MacOSX-arm64.sh
     >    ```
     >
     >    ```sh Linux x86 theme={null}
     >    bash ~/Downloads/Anaconda3-2026.07-1-Linux-x86_64.sh
     >    ```
     >
     >    ```sh Linux arm64 theme={null}
     >    bash ~/Downloads/Anaconda3-2026.07-1-Linux-aarch64.sh
     >    ```
     > 5. Copy your previous packages and environments to the new installation:
     >
     >    ```sh theme={null}
     >    rsync -a anaconda_old/ anaconda3/
     >    ```
     > 6. Delete your old Anaconda installation directory:
     >
     >    ```sh theme={null}
     >    rm -rf anaconda_old
     >    ```

  2. Run `conda list` to view the packages from the previous installation.

  3. Run `conda info --envs` to list the environments created in the previous installation, which are now available in the new installation.
</details>

Troubleshoot

### Proxy request sent, not found

***

<details>
  <summary>Cause</summary>

  Your company likely has security policies or a firewall in place that prevent communications with external servers or certain URLs.
</details>

***

<details>
  <summary>Solution</summary>

  1. First, work with your IT team to allowlist connections to the following URLs:

     ```txt theme={null}
     https://anaconda.org
     https://repo.anaconda.com
     https://repo.anaconda.cloud
     ```

     > [!NOTE]
     >
     > Allowlisting `https://repo.anaconda.cloud` is only necessary if your company has an Anaconda organization and you require access to channels in that organization.

  2. [Install](https://anaconda.com/docs/getting-started/main.md) Anaconda Distribution or Miniconda again.

  Once your installation is complete, you might also need to connect your company's firewall/proxy server to your conda configuration file (`.condarc`). For more information on this, see [Using Anaconda behind a firewall or proxy](https://anaconda.com/docs/anaconda-platform/getting-started-with-anaconda-platform.md#using-anaconda-behind-a-firewall-or-proxy-optional).
</details>
